# $Revision: 1.10 $, $Date: 2012/04/30 16:10:28 $
Summary:	Firmware files used by the Linux kernel
Name:		linux-firmware
Version:	20120418
Release:	1
License:	GPL+ and GPLv2+ and MIT and Redistributable, no modification permitted
Group:		Base/Kernel
URL:		http://www.kernel.org/
Source0:	ftp://ftp.kernel.org/pub/linux/kernel/people/dwmw2/firmware/%{name}-%{version}.tar.gz
# Source0-md5:	7652141968b9c53af4d38317a85f88b8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kernel-firmware includes firmware files required for some devices to
operate.

%prep
%setup -qc
mv linux-firmware-*/* .
rmdir linux-firmware-*

%build
# Remove firmware shipped in separate packages already
# Perhaps these should be built as subpackages of linux-firmware?
%{__rm} ql2???_fw.bin LICENCE.qla2xxx
%{__rm} iwlwifi-*.ucode LICENCE.iwlwifi_firmware
%{__rm} -rf ess korg sb16 yamaha
# We have _some_ ralink firmware in separate packages already.
%{__rm} rt73.bin rt2561.bin rt2561s.bin rt2661.bin
# And _some_ conexant firmware.
%{__rm} v4l-cx23418-apu.fw v4l-cx23418-cpu.fw v4l-cx23418-dig.fw v4l-cx25840.fw
# Netxen firmware
%{__rm} phanfw.bin LICENCE.phanfw

# Remove source files we don't need to install
%{__rm} usbdux/*dux */*.asm

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware
cp -a . $RPM_BUILD_ROOT/lib/firmware
%{__rm} $RPM_BUILD_ROOT/lib/firmware/{WHENCE,LICENCE.*,LICENSE.*}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc WHENCE LICENCE.* LICENSE.*
/lib/firmware/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linux-firmware.spec,v $
Revision 1.10  2012/04/30 16:10:28  glen
- md5

Revision 1.9  2012/04/30 15:29:17  glen
- up to 20120418, contains bnx2-mips-09-6.2.1b.fw

Revision 1.8  2011/10/29 07:35:56  arekm
- rel 3; drop R udev-core (rc-scripts provide fallback script); drop P kernel-firmware (since kernel obsoletes this)

Revision 1.7  2011/10/03 16:12:31  arekm
- rel 2; R udev-core not udev

Revision 1.6  2011/07/08 18:23:31  qwiat
- update

Revision 1.5  2011/05/22 11:31:08  glen
- preserve timestamps

Revision 1.4  2011/05/21 14:47:45  arekm
- up to 20110518

Revision 1.3  2011/02/06 23:18:03  sparky
- unified preamble in %changelog

Revision 1.2  2010/06/07 21:01:10  arekm
- up to 20100604

Revision 1.1  2010/05/18 17:46:36  arekm
- initial
